# Do not modify this file!  It was generated by ‘nixos-generate-config’
# and may be overwritten by future invocations.  Please make changes
# to /etc/nixos/configuration.nix instead.
{ config, lib, pkgs, modulesPath, ... }:

{
  imports =
    [ (modulesPath + "/installer/scan/not-detected.nix")
    ];

  boot.initrd.availableKernelModules = [ "xhci_pci" "ahci" "nvme" "usbhid" "usb_storage" "sd_mod" ];
  boot.initrd.kernelModules = [ ];
  boot.kernelModules = [ "kvm-intel" ];
  boot.extraModulePackages = [ ];

  fileSystems."/boot" =
    { device = "/dev/disk/by-uuid/11C1-EB58";
      fsType = "vfat";
      options = [ "fmask=0077" "dmask=0077" ];
    };

  roles.btrfs = {
    enable = true;
    filesystems."/dev/disk/by-uuid/ec22734b-d1a3-4c99-8c6f-86f6a8d79007" = {
      mountpoints = {
        "/" = {
          compression = "zstd";
          extraOptions = [ "noatime" ];
        };
      };
      scrub.enable = true;
      deduplication = {
        enable = true;
        hashTableSizeMB = 128;
        verbosity = "err";
      };
    };
    filesystems."/dev/disk/by-uuid/4f9844ac-c1ad-4426-8eb3-21f2306345fb" = {
      mountpoints = {
        "/games" = {
          extraOptions = [ "noatime" ];
        };
      };
      scrub.enable = true;
      deduplication = {
        enable = true;
        hashTableSizeMB = 256;
        verbosity = "err";
      };
    };
  };

  swapDevices = [ ];

  nixpkgs.hostPlatform = lib.mkDefault "x86_64-linux";
  hardware.cpu.intel.updateMicrocode = lib.mkDefault config.hardware.enableRedistributableFirmware;
}
